using System;

namespace Madjionicar
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Unesite broj karata i broj na karti iznad izvucene karte: ");
            string[] s = Console.ReadLine().Split();
            int N = int.Parse(s[0]);
            int K = int.Parse(s[1]);
            if(N<2 || N>20000)
            {
                Console.WriteLine("N moze biti samo broj od 2 do 20000");
                return;
            }
            if(K<1 || K > N)
            {
                Console.WriteLine("K mora biti izmedju 1 i N");
                return;
            }
            int[] karte = new int[N];
            string[] s1 = Console.ReadLine().Split();
            for (int i = 0; i < N; i++)
            {
                karte[i] = int.Parse(s1[i]);
            }
            for (int i = 0; i < N; i++)
            {
                if(karte[i] > N)
                {
                    Console.WriteLine("Brojevi moraju da budu izmedju 1 i N");
                    break;
                }
            }
            int karta = 0;
            int pK = 0;
            if (karte[N - 1] == K)
            {
                karta = karte[0];
            }
            else
            {
                for (int i = 0; i < N; i++)
                {
                    if(karte[i] == K)
                    {
                        pK = i + 1;
                    }
                }
                for (int i = 0; i < N+1; i++)
                {
                    karta = karte[pK];
                }
            }
            Console.WriteLine(karta);
        }
    }
}